PDA

View Full Version : d3dx9_32.dll error



StaticEclipse
02-10-2008, 10:03 PM
"SH4.exe_unable to locate component d3dx9_32.dll" I know people have made posts about this, but I wanted to make one easy to find. You need to install the Directx that comes with the game, even if you have Directx 10. Some older posts said "give it a try.. it might fix that issue." It does fix this error. It does not harm your dx10.

StaticEclipse
02-10-2008, 10:03 PM
"SH4.exe_unable to locate component d3dx9_32.dll" I know people have made posts about this, but I wanted to make one easy to find. You need to install the Directx that comes with the game, even if you have Directx 10. Some older posts said "give it a try.. it might fix that issue." It does fix this error. It does not harm your dx10.

Sparhawk81
02-11-2008, 06:40 AM
Thanks for the insight!

Any help here is very well appreciated! http://forums.ubi.com/images/smilies/25.gif

If you haven't already done it, why don't you come on the General Foum too, sometimes? http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif

tambor198
02-11-2008, 08:57 AM
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by StaticEclipse:
"SH4.exe_unable to locate component d3dx9_32.dll" I know people have made posts about this, but I wanted to make one easy to find. You need to install the Directx that comes with the game, even if you have Directx 10. Some older posts said "give it a try.. it might fix that issue." It does fix this error. It does not harm your dx10. </div></BLOCKQUOTE>


Thanks for the headsup on installing the DX9.0c that comes with the installation disk. I've included this tip in my SHIV Guide for future reference.

BTOG46
02-11-2008, 09:12 AM
It isn't just SH4, a lot of games give this with Vista, the Dx10 files are supposed to support Dx9, but seem to fail unless you actually install Dx9 as well. M$ strikes again! http://forums.ubi.com/images/smilies/compsmash.gif

Sparhawk81
02-11-2008, 07:34 PM
Glad I'm still under XP, then http://forums.ubi.com/groupee_common/emoticons/icon_biggrin.gif

A.J.Reynolds
02-17-2008, 11:26 AM
I installed all the components and I still get that error message. I even tried installing Ubisofts latest patch, but after downloading and running it, I got an error message stating that it could not find a version of SH4 on my computer! I'm running Windows Vista Ultimate.

A.J.Reynolds
02-17-2008, 11:28 AM
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by BTOG46:
It isn't just SH4, a lot of games give this with Vista, the Dx10 files are supposed to support Dx9, but seem to fail unless you actually install Dx9 as well. M$ strikes again! http://forums.ubi.com/images/smilies/compsmash.gif </div></BLOCKQUOTE>

Well it states on the $H4 box that it is compatible with Vista, so that should not be an issue.

Yooperbacker
02-17-2008, 12:30 PM
Have you tried installing the Directx that comes with the game? Uninstall SH4, reinstall SH4, when asked if you want to install Directx say yes. Then install patch 1.4. See if that helps.

A.J.Reynolds
02-23-2008, 09:13 PM
Yes, I've tried that twice already. The game simply does not seem to be compatible with Windows Vista.